/*
 * TrkIdCut.cpp
 *
 *  Created on: 13-mar-2009
 *      Author: Sergio Ricciarini, Nicola Mori
 */

/*! @file TrkIdCut.cpp The TrkIdCut class implementation file */

#include "TrkIdCut.h"

int TrkIdCut::Check(PamLevel2 *event) {

  PamTrack *pamTrack = event->GetTrack(0);

  if (pamTrack->GetTrkTrack()->HasImage()) { // if there are 2 geometric tracks
    if (!(pamTrack->IsSolved()))
      return 0;
  }

  return CUTOK;
}
